## Name

stalonetray — stand-alone system tray (notification area) implementation. This document covers 0.8 version of stalonetray.

## Synopsis

`stalonetray` [`option`...]

## DESCRIPTION

Stalonetray is a stand-alone system tray (notification area) for X Window System/X11 (e.g. XOrg or XFree86). It has minimal build and run-time dependencies: an X11 lib only. Complete XEMBED support is under development. Stalonetray works with virtually any EWMH-compliant window manager.

The behaviour and the look of stalonetray can be configured either via command line options or via configuration file. As usual, command-line options have precedence over options that are specified in the configuration file.

Names of command line parameter may have two variants: short (`-o`) and long (`--option`). Write `-o` `value` or `-o` `value` to pass a value using the short name of a parameter; to pass a value using a long name, write `--option` `value` or `--option`=`value`. All flag-like parameters have optional boolean value that when ommited is assumed to be "true". Write "true", "yes", "1", for positive boolean values, and "false", "no", "0" for negative ones.

Default configuration file is `$HOME/.stalonetrayrc`. A configuration file contains case-insensetive keyword-argument pairs, one per line. Lines starting with '#' and empty lines are ignored. Alternatively, confiuration file can specified via `-c` or `--config` command-line options.

Below is the list of possible command line/configuration file options. Options starting with hyphens are command-line parameters others are configuration file keywords. Options that are new in 0.8 version are marked with "NEW in 0.8".

## OPTIONS

`-bg` `color`, `--background` `color`, `background` `color`

  Use `color` for tray`s background. `color` can be specified as an HTML hex triplet or as a name from rgb.txt (note that '#' must be quoted). Default value: `#777777`.

`-c` `filename`, `--config` `filename`

  Read configuration from `filename` instead of default `$HOME/.stalonetrayrc`.

`-d` `decspec`, `--decorations` `decspec`, `decorations` `decspec`

  Specify visiblie tray window decorations. Possible values for `decspec` are: `all`, `title`, `border`, `none` (default).

`-display` `display`, `display` `display`

  Use X display `display`.

`--dockapp-mode` [`mode`], `dockapp_mode` [`mode`]

  Set dockapp mode, which can be either `simple` for e.g. OpenBox, `wmaker` for WindowMaker, or `none` (default).

`-f` [`level`], `--fuzzy-edges` [`level`], `fuzzy_edges` [`level`]

  Enable fuzzy edges of tray window and set fuzziness level which can range from `0` (disabled, default) to `3`. When ommited, the value of `level` defaults to 2.

`--geometry` `geometry_spec`, `geometry` `geometry_spec`

  Set tray`s initial geometry to `geometry_spec`, specified in standard X notation: `width`x`height`[+`x`[+`y`]], where width and height are specified in icon slot multiples. Default value: `1x1+0-0`.

`--grow-gravity` `gravity`, `grow_gravity` `gravity`

  Specify icon positioning gravity (eigher `N`, `S`, `W`, `E`, `NW`, `NE`, `SW`, `SE`). Grow gravity specifies directions in which the tray's window may grow. For instance, if you specify `NW` the tray's window will grow down vertically and to the right horizontally (these are sides that are opposite to upper-left or North-West corner of the window); with `W` the tray's window will grow horizontally to the left side only, and it will vertically grow both upwards and downwards maintaining position of its center. Please note that the latter behaviour is new in 0.8. Default value: `NW`.

`--icon-gravity` `gravity`, `icon_gravity` `gravity`

  Specify icon positioning gravity (either `NW`, `NE`, `SW`, `SE`). If you specify, e.g `SW`, then icons will appear starting from the lower-left corner of the tray's window. Default value: `NW`.

`-i` `n`, `--icon-size` `n`, `icon_size` `n`

  Set default icon size to `n`. Default value: `24`. Minimum: `16`.

`-h`, `--help`

  Show help message.

`--log-level` `level`, `log_level` `level`

  Set the amount of info to be output by stalonetray. Possible values for `level`: `err` (default), `info`, and `trace`. For the `trace` option to be available, stalonetray must be configured with `--enable-debug` at build-time.

`--kludges` `kludge` [,`kludge`...]

  Enable specific kludges to work around non-conforming WMs and/or stalonetray bugs. Argument is a comma-separated list of:

  - `fix_window_pos` — fix tray window position on erroneous moves by WM

  - `force_icons_size` — ignore resize events on all icons; force their size to be equal to `icon_size`

  - `use_icons_hints` — use icon window hints to determine icon size

`--max-geometry` `geometry_spec`, `max_geometry` `geometry_spec`

  Set tray`s maximal geometry to `geometry_spec` Default value: `0x0`, no limit.

`--no-shrink`, `no_shrink` [`bool`]

  Do not shrink tray window back after icon removal. Useful when tray is swallowed by another window like FvwmButtons. Default value: `false`.

`-p`, `--parent-bg`, `parent_bg` [`bool`]

  Use the parent's window as a background of the tray's window. Default value: `false`.

`--pixmap-bg `path_to_xpm``, `pixmap_bg` `path_to_xpm`

  Use the pixmap from an XPM file specified by `path_to_xpm` for the tray`s window background (pixmap will be tiled to fill the entire window).

`-r` `name`, `--remote-click-icon` `name`

  Remote control/click. When this option is specified, stalonetray sends a fake click to the icon with a window named `name` and exits. The icon is searched for in the currently active tray for the current screen. By default, stalonetray sends a single click with the 1st mouse button to the center of the icon. See the options below for additional information on how to alter the defaults.

`--remote-click-button` `n`

  Sets the remote click's button number to `n` (in the X11 numbering order).

`--remote-click-position` `x`x`y`

  Sets the remote click's position.

`--remote-click-type` `type`

  Sets the remote click's type. Possible values: `single` and `double`.

`-s` `n`, `--slot-size` `n`, `slot_size` `n`

  Set grid slot size to `n`, which cannot be less then `icon_size`. By default, the slot size is the same as the icon size.

`--scrollbars` `mode`, `scrollbars` `mode`

  Set scrollbar mode. Possible values: `vertical`, `horizontal`, `all`, or `none` (default). Scrollbars appear as additional space at tray borders that can be clicked to scroll icon area. Mouse wheel also works.

`--scrollbars-highlight` `mode`, `scrollbars_highlight` `mode`

  Set scrollbars highlight mode. Possible values: a color spec, or `disable`.

`--scrollbars-size` `n`, `scrollbars_size` `n`

  Set scrollbar size to `n` pixels. By default, the size is 1/4 of `slot_size`.

`--scrollbars-step` `n`, `scrollbars_step` `n`

  Set scrollbar step to `n` pixels. Default is 1/2 of `slot_size`.

`--skip-taskbar`, `skip_taskbar` [`bool`]

  Hide tray`s window from the taskbar. Default value: `false`.

`--sticky`, `sticky` [`bool`]

  Make tray`s window sticky across multiple desktops/pages. Default value: `false`.

`--tint-color`, `tint_color` [`bool`]

  Set tinting color. Default value: `white`.

`--tint-level`, `tint_level` [`level`]

  Set tinting level. Default value: `0` (tinting disabled).

`-t`, `--transparent`, `transparent` [`bool`]

  Enable root transparency. Default value: `false`.

`-v`, `--vertical`, `vertical` [`bool`]

  Use vertical layout of icons (horizontal is used by default).

`--window-layer` `layer`, `window_layer` `layer`

  Sets the EWMH-compliant layer of tray`s window. Possible values for `layer`: `bottom`, `normal`, `top`. Default value: `normal`.

`--window-strut` `mode`, `window_strut` `mode`

  Enable window struts for tray window (to avoid covering of tray window by maximized windows). Mode defines to which screen border tray window will be attached. It can be either `top`, `bottom`, `left`, `right`, `none`, or `auto` (default).

`--window-type` `type`, `window_type` `type`

  Sets the EWMH-compliant type of tray`s window. Possible values for `type`: `desktop`, `dock`, `normal`, `toolbar`, `utility`. Default value: `dock`.

`--xsync`, `xsync` [`bool`]

  Operate on X server synchronously (SLOW, turned off by default).

## DEPRECATIONS

As of stalonetray 0.8, the following command line and configuration file parameters are deprecated:

`--dbg-level`, `dbg_level`

  Please use `--log-level` instead.

`--max-tray-width`, `--max-tray-height`, `max_tray_width`, `max_tray_height`

  Please use `--max-geometry` instead.

`-w`, `--withdrawn`, `withdrawn`

  Please use `--dockapp-mode` instead.

`--respect-icon-hints`, `respect_icon_hints`

  Please use `--kludges` with `use_icon_hints` parameter instead.

## FILES

`$HOME/.stalonetrayrc` — default configuration file.

## BUGS

There are some, definetly.

If you have found a bug, please try to reproduce it with the log level set to `trace` and send the log file to me: `<busa_ru@users.sourceforge.net>`. If you need support, the best way to get it is also to e-mail me directly. If you have installed stalonetray from a distribution repository, you can also file a bug in the respective bug tracking database.